#{extends 'borderNG.html' /}
#{set 'titleHead'} Daftar Paket #{/set}
    &{'nonspk.title_daftar_paket'}
<div class="container">
#{paketTabMenu/}
    <div class="content tab-content">
        <div class="tab-pane active" id="etendering">
            <ol class="breadcrumb" style="background-color: #d9534f !important;">
                <li><a href="@{BerandaCtr.index()}">&{'nonspk.home'}</a></li>
                <li class="active">&{'nonspk.daftar_paket_non_tender'}</li>
            </ol>
            #{alert /}

            #{if !disableUser}
                <a class="btn btn-success" href="@{nonlelang.PaketPlCtr.rencanaNonSpk()}">&{'nonspk.buat_paket'}</a>
            #{/if}
            <br/><br/>
            <table class="table table-sm" id="tblLelang">
                <thead>
                <tr>
                    <th width="20" nowrap>&{'nonspk.kode'}</th>
                    <th>&{'nonspk.nama_paket'}</th>
                    <th width="15%">&{'nonspk.status'}</th>
                    <th width="15%">&{'nonspk.tgl_buat'}</th>
                    <th width="25%">&{'nonspk.satuan_kerja'}</th>
                    <th width="40"> </th>
                </tr>
                </thead>
            </table>

            <div class="bs-callout bs-callout-warning">
                &{'nonspk.pembuatan_paket_non_spk'}</b>.
            </div>
        </div>
    </div>
</div>
#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
    var editPaket  = #{jsRoute @nonlelang.PaketPlCtr.editNonSpk(':id') /};
    var viewPL = #{jsRoute @nonSpk.NonSpkCtr.view(':id') /};
    var editPL = #{jsRoute @nonSpk.NonSpkCtr.edit(':id') /};
    var hapusPaket = #{jsRoute @nonSpk.NonSpkCtr.hapus(':id') /};
    var viewTahap  = #{jsRoute @nonlelang.JadwalPlCtr.tahappencatatan(':id') /};
    $(document).ready(function() {
        var table = $("#tblLelang").DataTable({
            language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data",
            },
            order: [[ 0, "desc"]],
            ajax: "${url.raw()}",
            columns: [{visible:false, render: function(data, type, row) {
                var isPpk = ${active_user.ppk};
                var urlNamaPaket = isPpk ? editPaket : viewPL;
                var paketId = row[0];
                var id = row[5];
                var idNamaPaket = isPpk ? paketId : id;
                var paket = row[1];
                var status = row[2];
                var lelangTipe = row[7];
                var version = getLabelSpseVersion(row[6]);

                var flag = version.flag;
                var highlight = version.highlight;

                if(row[6] != '1') {
                var action = '<a href="'+editPL.url({id:id})+'"><span class="badge  badge-primary"><i class="fa fa-edit"></i> Paket Pencatatan</span></a>';
                }
                if (row[9] == 'true') {
                    action += '&nbsp;<a href="'+hapusPaket.url({id:paketId})+'" onclick="return confirm(\'Apakah ada yakin menghapus paket ini?\');"><span class="badge  badge-danger"><i class="fa fa-trash-o"></i> Hapus Pencatatan</span></a>'
                }

                row[2] = '<a target="_blank"  href="'+viewTahap.url({id:id})+'">'+row[2]+'</a>'
                row[5] = action;
                return row[1] = '<a href="'+editPaket.url({id:idNamaPaket})+'">'+ paket +'</a>&nbsp;<span class="badge  badge-info">'+lelangTipe+'</span>'+'&nbsp;<span class="'+highlight+'">'+flag+'</span>';
            }},null,null,null,{searchable: true},{orderable:false}
            ],
        });
        $('#tblLelang_filter input').unbind();
        $('#tblLelang_filter input').bind('keyup', function(e) {
            if(e.keyCode == 13) {
              table.search(this.value).draw();
             }
        });
    } );
</script>
#{/set}